TableItem (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter

## Class TableItem

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter.TableItem

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.data.BeanModelTag, Serializable

      public class TableItem
      extends Object
      implements com.extjs.gxt.ui.client.data.BeanModelTag, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableItem()`
    `TableItem(String id, String name, String description, String type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addColumnName(String columnName)`
    `List<String>` | `getColumnNames()`
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getType()`
    `void` | `setColumnNames(List<String> columnNames)`
    `void` | `setDescription(String description)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableItem

          public TableItem()

    - #### TableItem

          public TableItem(String id,
                   String name,
                   String description,
                   String type)

      Parameters:
        `name` -
        `description` -
        `type` -

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        the name

    - #### setName

          public void setName(String name)

      Parameters:
        `name` - the name to set

    - #### getDescription

          public String getDescription()

      Returns:
        the description

    - #### setDescription

          public void setDescription(String description)

      Parameters:
        `description` - the description to set

    - #### getType

          public String getType()

      Returns:
        the type

    - #### setType

          public void setType(String type)

      Parameters:
        `type` - the type to set

    - #### getId

          public String getId()

      Returns:
        the id

    - #### setId

          public void setId(String id)

      Parameters:
        `id` - the id to set

    - #### setColumnNames

          public void setColumnNames(List<String> columnNames)

      Parameters:
        `columnNames` -

    - #### getColumnNames

          public List<String> getColumnNames()

      Returns:
        the columnNames

    - #### addColumnName

          public void addColumnName(String columnName)

      Parameters:
        `columnName` -

Copyright © 2014. All Rights Reserved.